<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { computed, ref } from 'vue';

type item = {
    name: string,
    label: string
}

const props = defineProps<{
    modelValue: string,
    items: item[],
    label: string,
    columns?: boolean,
    info?: string
}>();

const emits = defineEmits<{
    (e: 'update:modelValue', value: string): void
}>();

const modelValue = ref(computed({
    get: ()=> props.modelValue,
    set: (e:string)=> emits('update:modelValue', e)
}));

</script>
<template>
<div class="my-4">
    <span class="flex flex-row gap-2">{{props.label}}: <Tooltip v-if="info" :tooltip="info"><button class="hover:bg-gray-100 rounded-full size-4"><i class="ri-information-2-line"></i></button></Tooltip></span>
    <div :class="columns?'grid grid-cols-3 w-full':''">
        <label class="flex items-center flex-row cursor-pointer" v-for="item in items">
            <input class="appearance-none peer" type="radio" v-model="modelValue" :value="item.name">
            <div class="block w-4 h-4 ring-2 bg-white ring-inset ring-white border border-accent1-default peer-checked:bg-accent1-default transition-all duration-500 ease-in-out peer-disabled:peer-checked:bg-gray-400 peer-disabled:border-gray-400 cursor-pointer peer-disabled:cursor-default rounded-full"></div>
            <span class="ml-2 align-middle">{{ item.label }}</span>
        </label>
    </div>
</div>
</template>